Subject: Re: [PATCH] de.po: collection of fixes

From: Thomas Rast <[email-masked]>
Date: Thu, 3 May 2012 23:11:55 +0200

On a general note, if you consistently make a single type of change
(like the first two quotes below), it would be easier on the reviewers
if you split them out as separate commits.  That way I could say "I like
this in general, and I trust you're not sneaking in any other changes in
this patch", and stop reading.

Ralf Thielow <[email-masked]> writes:

> -msgstr "konnte %s nicht parsen"
> +msgstr "%s konnte nicht geparst werden"
[...]
> -msgstr "Konnte '%s' nicht zum Schreiben öffnen."
> +msgstr "'%s' konnte nicht zum Schreiben geöffnet werden."

Why the switch to passive?  It should never be used, and all that...
(There are more further down.)

> -msgstr "Konnte nicht nach %s schreiben"
> +msgstr "Konnte nicht nach '%s' schreiben"
[...]
> -msgstr "Fehler bei Nachbereitung von %s"
> +msgstr "Fehler bei Nachbereitung von '%s'"

These should perhaps also be fixed in the originals.  Again there are
more of the same type.

>  #: builtin/bundle.c:60
>  msgid "Need a repository to unbundle."
> -msgstr "Zum Zerlegen wird ein Projektarchiv benötigt."
> +msgstr "Zum Entpacken wird ein Projektarchiv benötigt."

Note that this collides with the use of Packen for packing (as in
pack-objects).  Not sure it matters here, though, and it's definitely an
improvement.

>  #: builtin/gc.c:256
>  msgid ""
>  "There are too many unreachable loose objects; run 'git prune' to remove them."
> -msgstr "Es gibt zu viele unerreichbare lose Objekte; führe 'git prune' aus um diese zu entfernen."
> +msgstr "Es gibt zu viele unerreichbare verlorene Objekte; führe 'git prune' "
> +"aus um diese zu entfernen."

I think you're partially reverting an earlier change of mine here.
loose really is "lose" as in "not packed".  They are "lost" only by
virtue of being unreachable, which you're also stating.  So if anything,
you should consistently change "loose object" to some term other than
"loses Objekt".

> -"Automatische Zusammenführung gut gegangen; stoppe, wie angefragt, vor der "
> -"Eintragung\n"
> +"Automatische Zusammenführung abgeschlossen; halte, wie angefragt, vor der "
> +"Eintragung an\n"

Unrelated to your change, but perhaps also "wie angefragt" -> "wie
gewünscht"?

> -"\"pull\" ist nicht möglich weil du nicht zusammengeführte Dateien hast.\n"
> +"\"pull\" ist nicht möglich, weil du nicht zusammengeführte Dateien hast.\n"

Again unrelated, but for me, this is quite hard to parse.  Perhaps,
while strictly speaking wrong, "nicht-zusammengeführte Dateien" or also
something like "konfliktbehaftete Dateien" would be easier to scan.

-- 
Thomas Rast
trast@{inf,student}.ethz.ch